'use client';
import { useState } from 'react';
import { useGraphQlBuildSitesList } from '@/pages/build-sites/queries';
import { BuildSitesDataTableUpdate } from '@/pages/build-sites/update/table/data-table';
import { BuildAddressForm } from '@/pages/build-sites/update/form';
import { useSearchParams, useRouter } from 'next/navigation'
import { Button } from '@/components/ui/button';

const PageUpdateBuildSites = () => {
    const [page, setPage] = useState(1);
    const [limit, setLimit] = useState(10);
    const [sort, setSort] = useState({ createdAt: 'desc' });
    const [filters, setFilters] = useState({});
    const searchParams = useSearchParams();
    const router = useRouter();
    const uuid = searchParams?.get('uuid') || null
    const backToBuildSites = <><div>UUID not found in search params</div><Button onClick={() => router.push(`/build-sites`)}>Back to Build Sites</Button></>
    if (!uuid) { return backToBuildSites }
    const { data, isLoading, error, refetch } = useGraphQlBuildSitesList({ limit, skip: (page - 1) * limit, sort, filters: { ...filters, uuid } });
    const initData = data?.data?.[0] || null;
    if (!initData) { return backToBuildSites }
    return (
        <>
            <BuildSitesDataTableUpdate
                data={data?.data || []} totalCount={data?.totalCount || 0} currentPage={page} pageSize={limit} onPageChange={setPage} onPageSizeChange={setLimit} refetchTable={refetch}
            />
            <BuildAddressForm refetchTable={refetch} initData={initData} selectedUuid={uuid} />
        </>
    )
}

export { PageUpdateBuildSites };
